@import "abstracts/vars";
@import "abstracts/mixins";
@import "base/icomoon/index";

.Inperson-Promo {

    .hero__subtitle {
        font-size: 5rem;
        font-weight: 300;
        line-height: 5rem;
        letter-spacing: 0;
        padding-top: 25px;

        // max-width: 37rem;
        @media screen and (min-width: 1024px) {
            font-size: 4rem;
        }

        @include when-less-than(small_desktop) {
            font-size: 3.5rem;
            margin-top: 1.75rem;
            max-width: inherit;
            margin-left: 1.875rem;
        }
    }

    .hero__btn {
        margin-top: 2rem;

        a {
            background: $blue;
            color: $text-white;
            padding: 21.5px 42.5px;
            text-decoration: none;
            display: inline-block;
            width: auto;
            font-weight: bolder;
            line-height: 1.28;
            letter-spacing: 0.01438rem;
            transition: all .25s linear;
            font-size: 14px;
            position: relative;

            &::after {
                display: inline-block;
                font: normal normal normal 14px/1 IcoMoon;
                font-size: inherit;
                text-rendering: auto;
                -webkit-font-smoothing: antialiased;
                -moz-osx-font-smoothing: grayscale;
                content: "";
                font-size: .7em;
                margin-left: 16px;
                color: #fff;
            }

            &:hover {
                color: $text-white;
            }

            @include when-less-than(small_desktop) {
                margin-left: 1.875rem;
            }
        }
    }

    .hero__link,
    .hero__text {
        position: absolute;
        z-index: 10;
        top: 5rem;

        @include when-less-than(tablet) {
            display: none;
        }
    }

    .hero__link {
        right: 0;

        a {
            color: $text-white !important;
            text-decoration: none;
            border: none;
            font-weight: bold;
            display: flex;
            align-items: center;

            &::after {
                @include icomoon-icon();
                content: $icon-share-connect;
                font-size: 1.2rem;
                padding-left: 1rem;
                font-weight: normal;
                color: rgba(#ffffff, .7);
            }
        }

        @media screen and (max-width: 991px) {
            display: none;
        }
    }

    .hero__rich_text {
        overflow: visible;

        @media screen and (max-width: 991px) {
            display: none;
        }
    }

    .hero__text {
        left: 0;
        color: $text-white !important;
        font-size: 0.875rem;
        font-weight: bold;
        display: flex;
        align-items: center;

        &::before {
            content: "";
            margin-right: 10px;
            background-image: url(../images/book.png);
            width: 20px;
            height: 24px;
            background-size: contain;
        }
    }

    .hero__day_count {
        font-size: 45px;
        color: #101326;
        font-weight: bold;
        line-height: 35px;

        @media screen and (max-width: 991px) {
            font-size: 24px;
            line-height: 20px;
        }
    }

    .hero__hours_count {
        font-size: 40px;
        color: #101326;
        font-weight: bold;
        line-height: 40px;

        @media screen and (max-width: 991px) {
            font-size: 21px;
            line-height: 20px;
        }

        span {
            font-size: 26px;
            margin-left: 2px;

            @media screen and (max-width: 991px) {
                font-size: 14px;
            }
        }
    }

    .hero__type {
        background: #fff;
        margin-left: 25px;
        width: 105px;
        height: 105px;
        display: inline-block;
        vertical-align: top;
        border-radius: 50%;
        padding: 0;

        @media screen and (max-width: 991px) {
            margin-right: 15px;
            margin-left: 0;
            width: 60px;
            height: 60px;

        }

        &-wrap {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            text-align: center;
            padding: .8rem !important;
            height: 105px;

            @media screen and (max-width: 991px) {
                height: 60px;
            }


        }

        img {
            width: 3rem;
            height: 3rem;
            padding: 0;

            @media screen and (max-width: 991px) {
                width: 21px;
                height: auto;
            }
        }

        &-text {
            font-weight: bold;
            color: $text-black;
            font-size: 1rem;

            @media screen and (max-width: 991px) {
                font-size: 9px;
                white-space: nowrap;
            }

        }
    }




    .circlesCont {
        position: relative;

        &>.component-content {
            position: absolute;
            right: 0;
            bottom: 50px;
            z-index: 9;

            @media screen and (max-width: 991px) {
                left: 0;
                right: auto;
                margin-left: 1.875rem;
                bottom: 150px;
            }
        }

    }

    &.hero__wrap-inner {

        height: auto;

        @media (max-width: 991px) {

            margin-bottom: 0;
        }

        .hero__image img {
            height: 876px;


            @media (max-width: 1440px) {
                height: 705px
            }

            @media (max-width: 768px) {
                height: 580px;
                float: left;
            }
        }

        .hero__container {
            padding: 0;
            top: 140px;

            @media screen and (max-width: 991px) {
                top: 50px;
            }
        }

        .hero__title {
            letter-spacing: -6px;
            width: 100%;
            overflow-wrap: break-word;

            @media screen and (min-width: 1024px) {
                letter-spacing: 0;
            }

            @include when-less-than(small_desktop) {
                font-size: 7.5rem;
                margin-left: 1.875rem;
                letter-spacing: -0.05em;

            }

            @media (max-width: 768px) {
                font-size: 45px;

            }
        }
    }

}